Bug 186064 - [PATCH] security/bruteforceblocker: add 'USES=shebangfix' to adjust perl path
Summary: [PATCH] security/bruteforceblocker: add 'USES=shebangfix' to adjust perl path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Daniel Gerzo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-24 02:40 UTC by Yasuhiro KIMURA
Modified: 2014-05-02 13:20 UTC (History)
0 users

See Also:


Attachments
patch-bruteforceblocker (1.43 KB, text/plain)
2014-01-24 02:40 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2014-01-24 02:40:00 UTC
	
	- Add 'USES=shebangfix' to adjust perl path of script.
	- OptionsNGfy.
	- Support staging.
	- Bump PORTREVISON because content of script is changed.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-24 02:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danger

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro KIMURA 2014-04-27 12:02:12 UTC
Hello,

Would you please commit this PR?

Best Regards.

---
Yasuhiro KIMURA
Comment 3 dfilter service freebsd_committer 2014-05-02 13:10:23 UTC
Author: danger (doc committer)
Date: Fri May  2 12:10:20 2014
New Revision: 352808
URL: http://svnweb.freebsd.org/changeset/ports/352808
QAT: https://qat.redports.org/buildarchive/r352808/

Log:
  - add shebangfix support
  
  PR:		186064
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	mat

Modified:
  head/security/bruteforceblocker/Makefile

Modified: head/security/bruteforceblocker/Makefile
==============================================================================
--- head/security/bruteforceblocker/Makefile	Fri May  2 11:51:17 2014	(r352807)
+++ head/security/bruteforceblocker/Makefile	Fri May  2 12:10:20 2014	(r352808)
@@ -18,13 +18,14 @@ RUN_DEPENDS=	p5-Unix-Syslog>=0:${PORTSDI
 		p5-Net-DNS>=0:${PORTSDIR}/dns/p5-Net-DNS
 
 NO_BUILD=	yes
-USES=		perl5
+USES=		perl5 shebangfix
 USE_PERL5=	run
 
 OPTIONS_DEFINE=	DOCS
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 SUB_FILES=	pkg-message
+SHEBANG_FILES=	${PORTNAME}.pl
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.pl ${STAGEDIR}${PREFIX}/sbin/${PORTNAME}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Daniel Gerzo freebsd_committer 2014-05-02 13:10:27 UTC
State Changed
From-To: open->closed

- committed, thanks!